<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
		<style>
			.table_bg th{
				text-align:center;
			}
			#huiyuandingdanTable td{
				text-align:center;
			}
		</style>
	</head>

	<body>
		<div class="detailed clearfix tabPanel mendian_detailed jifendetailed">
		<form id="save_points_rule">
			<button id="close_btn" type="button" class="icon detailed_close"></button>
			<div class="common_content_title">积分规则详情</div>
			<div class="row">
				<div class="col-xs-2 msg">积分规则名称</div>
				<div class="col-xs-2">
				
					<input type="hidden" class="form-control" id="editPointsRuleId" name="pointsRuleId">
					<input type="text" class="form-control" id="editPointsRuleName" name="pointsRuleName"  data-options="required:true,length:'50'">
				</div>
				<div class="col-xs-2 msg" style="text-align: center;">积分规则类型</div>
				<div class="col-xs-2 relative">
					<input type="hidden" name="pointsTypeId" id="editPointsTypeId"  />
					<input size="16" type="text" class="form-control"  id="pointsTypeText" input-type="select"  readonly >
					<ul class="dropdown-menu" id="pointsTypeIdSelect" data="$.POINTS_TYPE">
					</ul>					
					<i id="pointsTypeIdSelect_i" class="input_icon input_down"></i>
				</div>
			</div>
			<div class="common_content_table box_shadow border10">
				<table id="huiyuandingdanTable" style="width:100%;height:120px" data-options="singleSelect:false,collapsible:true,url:'',method:'get', 
				onSelect : function(index){
					$(this).datagrid('unselectRow', index);
				}">
					<thead>
						<tr style="background-color: #f2f2f2; line-height: 40px; background: linear-gradient(to bottom,#ffffff 0,#F2F2F2 100%); background-repeat: repeat-x;">
							<th style="text-align:center; font-size:13px;" data-options="field:'productid',width:180,halign:'center'">条件参数名称</th>
							<th style="text-align:center; font-size:13px;"  data-options="field:'listprice',width:240,align:'center',halign:'center'">发放比例</th>
							<th style="text-align:center; font-size:13px;"  data-options="field:'unitcost',width:240,align:'center',halign:'center'">积分值</th>
						</tr>
					</thead>
						<tr>
							<td></td>
							<td style="text-align:center;">
								<div class="relative" style="width:50%; display:inline-block; *zoom:1; *display:inline;">
										<input type="hidden" name="pointsRuleType" id="editPointsRuleType"  />
										<input size="16" type="text" class="form-control" id="pointsRuleTypeText" input-type="select" readonly >
										<ul class="dropdown-menu" id="pointsRuleTypeSelect" data="$.POINTS_RULE_TYPE" >
										</ul>					
										<i id="pointsRuleTypeText_i" class="input_icon input_down"></i>
								</div>
							</td>
							<td style="text-align:center;">
								<input type="text" class="form-control input140" id="editPointsAmount" name="pointsAmount" data-options="required:false,length:'5',validType:'rtZero'">
							</td>
						</tr>								
				</table>
			</div>
			<div class="row margin20">
				<div class="col-xs-2 msg">积分有效类型</div>
				<div class="col-xs-3">
					<input type="hidden" name="invalidTimeType" id="editInvalidTimeType"  />
 	 				<input size="16" type="text" class="form-control" id="invalidTimeTypeText" input-type="select" readonly > 
					<ul class="dropdown-menu" id="invalidTimeTypeSelect" data="$.INVALID_TIME_TYPE">

					</ul>
					<i id="invalidTimeTypeText_i" class="input_icon input_down"></i>
				</div>
			</div>

			<!--滚动日期+固定日期-->
			<div>
				<div class="row" id="rollDate">
					<div class="col-xs-2 msg">滚动周期</div>
					<div class="col-xs-1">
						<input type="hidden" name="invalidTimeValue" id="editInvalidTimeValue"  />
						<input type="text" class="form-control" id="timeValue"  data-options="required:false,length:'4',validType:'rtZero'">
					</div>
					<div class="col-xs-1" style="text-align: center; line-height: 35px;">
						/
					</div>
					<div class="col-xs-1">
						<input type="hidden" name="dateType" id="dateTypeValue"  />
						<input size="16" type="text" class="form-control" id="dateTypeText" name="dateTypeText"  input-type="select" readonly>
						<ul class="dropdown-menu" id="dateType" data="$.POINT_TIME_TYPE">
						</ul>
						<i id="dateType_i" class="input_icon input_down"></i>
					</div>
				</div>
				<div class="row" id="cleanDate">
					<div class="col-xs-2 msg">积分清理日<input type="hidden" name="cleanTime" id="editCleanTime"  /></div>
					<div class="col-xs-2" id="cleanTime_div1" style="display:none">
								<input name=""  type="text" id="editCleanTime_md"  
								class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'MM-dd'})" />

					</div>
					<div class="col-xs-2" id="cleanTime_div2" >
								<input name=""  type="text" id="editCleanTime_ymd"  
								class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'yyyy-MM-dd'})" />
					</div>
				</div>
				<div class="row">
					<div class="col-xs-2 msg">备注</div>
					<div class="col-xs-4">
						<input type="text" class="form-control" id="pointsRuleDesc" name="pointsRuleDesc"  data-options="required:false,length:'50'">
					</div>
				</div>
			</div>
			<button id="save_btn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
			</form>
		</div>
		
		<script type="text/javascript">
			$(function() {
				require(['view/points/pointsRuleDetail'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>